jQuery Integration Overview

Since the version 1.0 of CanvasJS our primary goal has been to make it as simple as possible for you to create and add charts. Given that jQuery is being used widely over the web, we thought of building a simple jQuery plugin that would allow you to integrate CanvasJS Charts the jQuery way! So if you find $(“selector”).someAction() way of adding chart convenient, you can do so with CanvasJS Charting Plugin for jQuery.

In case you have any suggestions/feedback please post it in our forum.


Here is how you can create a simple chart using the jQuery Plugin.

Try it Yourself by Editing the Code below.


Here are couple of things that you need to remember while working with the jQuery chart plugin.

  1. You no longer have to call render() method.
  2. CanvasJSChart(options) method returns jQuery object which allows you to chain other methods. For example: $(“#chartContainer”).CanvasJSChart(options).css(“border”, “2px solid black”);
  3. After creating a chart you can call CanvasJSChart method without passing any parameter to get the chart reference – using which you can update the chart. For example: $(“#chartContainer”).CanvasJSChart().
  4. Once you get reference to the chart object using $(“#chartContainer”).CanvasJSChart() you can update any of the options – like $("#chartContainer").CanvasJSChart().options.data[0].type = "column". Refer Updating Chart Options/Data for more information.
  5. If a selector returns multiple DOM elements, chart is created only in the first element.

Below is a simple example that shows how you can update chart once it has been created.

Try it Yourself by Editing the Code below.


Have a look into our reference section for complete set of options that are available. In order to make it simpler we have also created examples of various chart types using jQuery Plugin.



If you have any questions, please feel free to ask in our forums.Ask Question

Comments 8

  1. How can we do something like “say for a column/bar chart, user clicks on a column/bar and an event is triggered with its attributes’ values”.
    e.g., A column chart with two columns, namely A and B with values 10 and 20 respectively are shown, when we hover over these columns we can view the values. Now, say I click on A, I want that object/selector so that I can get the value 10 and use the same to trigger a function.

  2. please help me collection data with ajax.
    it like this:
    $.ajax({
    type: ‘GET’,
    url: ‘http://example/functions.php’,
    data: { get_param: ‘value’ },
    dataType: ‘json’,
    success: function (data) {
    $.each(data, function(index, element) {
    $(‘body’).append($(”, {
    text: element.name
    }));
    });
    }
    });

If you have any questions, please feel free to ask in our forums. Ask Question

Getting Started with CanvasJS Angular Component

Angular is one of the popular frameworks for web development that aids in building rich web page applications & dashboards. So we have built angular chart component for CanvasJS. This Tutorial teaches you to quickly add beautiful Charts to your Angular Applications using CanvasJS & NPM.


In case you have any suggestions/feedback please post it in our forum.


Here are couple of things that you need to remember while using Angular Chart Component

  1. You no longer have to call render() method during the initial render. You need to call render whenever data is updated.
  2. You can get reference to the chart instance by passing the call-back function like (chartInstance)=”getChartInstance($event)” to the component & get the instance as a callback parameter. This allows you to access all chart properties and methods including render().
  3. Once you get reference to the chart object, you can update any of the options – like chart.options.data[0].type = “column” and call chart.render(). Refer Updating Chart Options / Data for more information.
  4. You can also style the chart component as shown below

  5. <canvasjs-chart [options]="chartOptions" [styles]="{width: '100%', height: '360px'}"></canvasjs-chart>

Step-By-Step Instruction

1. Create Angular app

Create an angular app. Please refer angular documentation for prerequisites, environment setup & tutorial on creating angular app.

2. Install CanvasJS Angular Charts

Install CanvasJS Angular Charts package to your Angular app.

npm install @canvasjs/angular-charts

3. Import Angular Chart Module & register it

Import the Angular Chart module into your Angular application (app.component.ts) & register it.

import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterOutlet } from '@angular/router';

import { CanvasJSAngularChartsModule } from '@canvasjs/angular-charts';

@Component({
  selector: 'app-root',
  standalone: true,
    imports: [
      CommonModule,
      RouterOutlet,
      CanvasJSAngularChartsModule
    ],
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent { }

4. Set the chart-options & create chart

Set the chart-options in app.component.ts & use ‘canvasjs-chart’ selector to create chart in app.component.html

//app.component.ts
import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterOutlet } from '@angular/router';

import { CanvasJSAngularChartsModule } from '@canvasjs/angular-charts';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [
    CommonModule,
    RouterOutlet,
    CanvasJSAngularChartsModule
  ],
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
 
export class AppComponent {
  chartOptions = {
    title: {
      text: "Basic Column Chart in Angular"
    },
    data: [{
      type: "column",
      dataPoints: [
        { label: "Apple",  y: 10  },
        { label: "Orange", y: 15  },
        { label: "Banana", y: 25  },
        { label: "Mango",  y: 30  },
        { label: "Grape",  y: 28  }
      ]
    }]                
  };
}
  
  
//app.component.html
<div>
    <canvasjs-chart [options]="chartOptions"></canvasjs-chart>
</div>


In order to make it simpler we have also created various examples with different sets of use-cases. Please check out our Angular Chart Gallery & various chart types listed below.

Getting Started with CanvasJS Vue Chart Component

This tutorial teaches you to quickly add beautiful Charts to your Vue.js applications using CanvasJS & NPM.


In case you have any suggestions/feedback please post it in our forum.


Here are couple of things that you need to remember while using Vue.js Chart Component

  1. You no longer have to call render() method during the initial render. You need to call render whenever data is updated.
  2. You can get the reference of the chart instance by passing the call-back function like `@chart-ref=”chartRef”` to the component & get the instance as a callback parameter. This allows you to access all chart properties and methods including render().
  3. Once you get reference to the chart object, you can update any of the options – like chart.options.data[0].type = “column” and call chart.render(). Refer Updating Chart Options / Data for more information.
  4. You can also style the chart component as shown below

  5. <CanvasJSChart :options="chartOptions" @chart-ref="chartRef" :styles="{width: '100%', height: '360px'}"/>
    

Step-By-Step Instruction

1. Create Vue.js App

Create Vue.js app. Please refer to Vue.js documentation for prerequisites, environment setup & tutorial on creating Vue.js project & app.

2. Install CanvasJS Vue Charts Plugin via NPM

Install CanvasJS Vue Charts package via NPM by running the following command.

npm install @canvasjs/vue-charts

3. Import CanvasJS Vue Charts plugin & register it globally

Import the Vue Charts plugin to your Vue.js application & register it globally.

import { createApp } from 'vue'
import App from './App.vue'

import CanvasJSChart from '@canvasjs/vue-charts';

const app = createApp(App);
app.use(CanvasJSChart); // install the CanvasJS Vuejs Chart Plugin
app.mount('#app');

4. Set the chart-options & create chart

Set the chart-options in app.vue & use ‘CanvasJSChart’ selector to create chart inside template tag.

<!-- App.vue -->
<script>
export default {
  data() {
    return {
      chart: null,
      options: {
        animationEnabled: true,
        title:{
		  text: "Vue.js Basic Column Chart"
        },
        data: [{
          type: "column",
          dataPoints: [
            { label: "apple",  y: 10 },
            { label: "orange", y: 15 },
            { label: "banana", y: 25 },
            { label: "mango",  y: 30 },
            { label: "grape",  y: 28 }
          ]
        }]
      }
    }
  }
}
</script>
<template>
	<CanvasJSChart :options="options"/>
</template>

In order to make it simpler we have also created examples with different use-cases. Please check out our Vue.js Gallery for the same.




If you have any questions, please feel free to ask in our forums.Ask Question

Getting Started with CanvasJS React Component

Due to the increasing popularity of React in web application development, we thought of creating a React Component for CanvasJS Charts & publish it on NPM. This allows you to seamlessly integrate CanvasJS Charts into your React based Applications. Below is how you can get started with the same.


In case you have any suggestions/feedback please post it in our forum.


Here are couple of things that you need to remember while using React Chart Component.

  1. You no longer have to call render() method during the initial render. You need to call render() only when chart options change.
  2. You can get reference to the chart instance by passing onRef = {ref => this.chart = ref} props to the component. This allows you to access all chart properties and methods including render().
  3. Once you get reference to the chart object, you can update any of the options – like chart.options.data[0].type = “column” and call chart.render(). Refer Updating Chart Options / Data for more information.
  4. You can also style the chart component shown below.

  5. <CanvasJSChart options={options} containerProps={{ width: '100%', height: '300px' }} />
    

Step-By-Step Instruction

1. Create a React App

As a first step, create a react app. Refer documentation on Creating a New React App for more info.

2. Install CanvasJS React Charts via NPM

Install CanvasJS React Charts package via npm by running the following command.

npm install @canvasjs/react-charts

3. Import CanvasJS React Charts

Import CanvasJS React Charts to your application.

import CanvasJSReact from '@canvasjs/react-charts';
//var CanvasJSReact = require('@canvasjs/react-charts');

var CanvasJS = CanvasJSReact.CanvasJS;
var CanvasJSChart = CanvasJSReact.CanvasJSChart;

Once the package is imported, you are ready to go. Now you can add CanvasJSChart component with chart-options & container-style as props and onRef as optional props – that you can pass when you need reference to the chart instance.

class App extends Component {	
  render() {
    const options = {
      title: {
        text: "Basic Column Chart in React"
      },
      data: [{				
        type: "column",
        dataPoints: [
          { label: "Apple",  y: 10  },
          { label: "Orange", y: 15  },
          { label: "Banana", y: 25  },
          { label: "Mango",  y: 30  },
          { label: "Grape",  y: 28  }
        ]
      }]
    }
		
    return (
      <div>
        <CanvasJSChart options = {options}
          /* onRef = {ref => this.chart = ref} */
        />
        </div>
    );
  }
}


Note:
  • React requires polyfills to run on older browsers such as IE 9 and IE 10.

Have a look into our reference section for complete set of options that are available. In order to make it simpler we have also created various examples, please check React Chart Gallery for the same.



If you have any questions, please feel free to ask in our forums.Ask Question